
{-----------------------------------------------------------------------------
 Unit Name: ImmersionR3R6
 Project Name : ImmersionR3R6
 Author:    Angel Montesinos-Amilibia
 Date: 2009
 Purpose: Main program of the project
-----------------------------------------------------------------------------}
{

ImmersionR3R6, workshop for the geometry of 3-submanifolds immersed in in R^6.

Copyright (C) 2009 Angel Montesinos Amilibia

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation,Inc.,
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


You can email me to:
     montesin@uv.es

Or write me to:
     Angel Montesinos
     Departamento de Geometria y Topologia
     Vicente Andrs Estells, 1
     46100 Burjasot (Valencia)
     Spain

}


program ImmersionR3ToR6;

uses
  Forms,
  VectorsAndUtil in 'VectorsAndUtil.pas',
  FImmersionR3R6 in 'FImmersionR3R6.pas' {ImmersionR3R6},
  FYesNotCancel in 'FYesNotCancel.pas' {YesNotCancel},
  ResourceStrings in 'ResourceStrings.pas',
  FMapR3R6 in 'FMapR3R6.pas',
  PrintingPrefsDlg in 'PrintingPrefsDlg.pas' {Form2},
  FGammaPicker in 'FGammaPicker.pas' {GammaPicker},
  OCFunctDDDoubleSafe in 'OCFunctDDDoubleSafe.pas',
  FManImmersionR3R6 in 'FManImmersionR3R6.pas' {Manual},
  Printing in 'Printing.pas',
  FRenderImplicitSurfaceWithThreads in 'FRenderImplicitSurfaceWithThreads.pas',
  ImplicitRenderThread in 'ImplicitRenderThread.pas',
  Stutz_Get_CPU_data in 'Stutz_Get_CPU_data.pas',
  FDrawParamSurf in 'FDrawParamSurf.pas',
  FSupplWindow in 'FSupplWindow.pas' {SupplWindow},
  FImplicitCurveLine in 'FImplicitCurveLine.pas';

{$R *.res}

begin
  {MemChk;}
  Application.Initialize;
  Application.Title := 'ImmersionR3R6';
  Application.CreateForm(TImmersionR3R6, ImmersionR3R6);
  Application.CreateForm(TYesNotCancel, YesNotCancel);
  Application.CreateForm(TForm2, Form2);
  Application.CreateForm(TManual, Manual);
  Application.Run;
end.
