
{-----------------------------------------------------------------------------

 Unit Name: PrintingPrefsDlg
 Project Name : ImmersionR3R6
 Author:    Angel Montesinos-Amilibia
 Date: 2009
Purpose: Implements a dialog for setting some printing preferences.
-----------------------------------------------------------------------------}
{

ImmersionR3R6, workshop for the geometry of 3-submanifolds immersed in in R^6.

Copyright (C) 2009 Angel Montesinos Amilibia

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation,Inc.,
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


You can email me to:
     montesin@uv.es

Or write me to:
     Angel Montesinos
     Departamento de Geometria y Topologia
     Vicente Andrs Estells, 1
     46100 Burjasot (Valencia)
     Spain

}


unit PrintingPrefsDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ActnList, StdActns, ExtCtrls;

type
  TForm2 = class(TForm)
    Cancelar : TButton;
    botonOK : TButton;
    Label4: TLabel;
    TitleEdit: TEdit;
    ResolutionEdit: TEdit;
    FootText: TRadioGroup;
    SubTextEdit: TEdit;
    Label5: TLabel;
    procedure OnActivate(Sender : TObject);
    procedure OnOKButton(Sender : TObject);
    procedure OnCancelButton(Sender : TObject);
    procedure OnCreateDialog(Sender: TObject);

  PRIVATE
    { Private declarations }
  PUBLIC
  { Public declarations }
  end;

var
  Form2 : TForm2;

implementation

{$R *.DFM}
uses
  Math,
  FMapR3R6, FImmersionR3R6, ResourceStrings;


procedure TForm2.OnActivate(Sender : TObject);
begin
  visible := True;
  titleEdit.Text:= ImmersionR3R6.caption; {suggest the title on the main window}
end;

procedure TForm2.OnOKButton(Sender : TObject);
begin
  with ImmersionR3R6 do begin  {pass the preferences to 'ImmersionR3R6' }
    PrintEquations:=(FootText.ItemIndex = 0);
    PrintSubText:= not PrintEquations;
    prTitle:= TitleEdit.text;
    if PrintSubText then
      prSubText:= subTextEdit.Text
    else
      prSubText:= '';
    try
      prResolution:= StrToInt(ResolutionEdit.text);
      prResolution:= Max(Min(3000, prResolution),1000);
      ResolutionEdit.text:= IntToStr(prResolution);
    except begin
        prResolution:= 1200;
        ResolutionEdit.text:= '1200';
      end;
    end;
  end;
  modalResult:= mrOK;
end;

procedure TForm2.OnCancelButton(Sender : TObject);
begin
  ModalResult := mrCancel;
end;

procedure TForm2.OnCreateDialog(Sender: TObject);
begin
 label4.Caption:= ePixelsPerLine;
 label5.Caption:= eTitleToPut;
 FootText.Caption:= eTextBelow;
 FootText.Items.Text:= eEqOptions;
end;

end.
