
{-----------------------------------------------------------------------------

 Unit Name: ResourceStrings
 Project Name : ImmersionR3R6
 Author:    Angel Montesinos-Amilibia
 Dates: 2009
 Purpose: strings used in the program
-----------------------------------------------------------------------------}
{

ImmersionR3R6, workshop for the geometry of 3-submanifolds immersed in in R^6.

Copyright (C) 2009 Angel Montesinos Amilibia

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation,Inc.,
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


You can email me to:
     montesin@uv.es

Or write me to:
     Angel Montesinos
     Departamento de Geometria y Topologia
     Vicente Andrs Estells, 1
     46100 Burjasot (Valencia)
     Spain

}


unit ResourceStrings;

interface
resourcestring
  eEnter = 'Enter';
  eStop = 'Stop';
  eErrorReadingEditField = 'Error reading an edit field';
  eBlankField = 'An edit field is blank';
  euMinLessThanuMax = 'The minimum of ''u'' must be less than its maximum';
  evMinLessThanvMax = 'The minimum of ''v'' must be less than its maximum';
  ewMinLessThanwMax = 'The minimum of ''w'' must be less than its maximum';
  ePrinting = 'Printing';
  ePrintingCancelled = 'Printing cancelled by user';
  eErrorInPrinting = 'Error in printing';
  eWrongFile = 'Wrong file type';
  eVersionUnsupported = 'Version unsupported';
  eCorruptedFile = 'The file seems to be corrupted';
  eSingularPoint = 'This point of the parameterization is singular';

  {messages from parser}

  eBadNumber = 'A number is miswritten.';
  eBadCharacters = 'You have used an illegal character.';
  eBadFunctionOrVariables = 'You mispelled a function or variable';
  eBadParentheses = 'Check the parentheses, please.';
  eTooMuchConstants = 'I cannot digest that much constants.';
  eSintaxError = 'There is a sintax fault in the formula.';
  eErrorInParsing = 'I did fail in analysing the function.';
  eExpressionTooLarge = 'The expression is too long.';
  eNothingWritten = 'Some field may be empty';
  eBadVar = 'The allowed variables in this formula are: ';
  eBadVarSet = 'The allowed variables must be in the range ''p'' to ''z''.';
  eBadParams = 'A parameter cannot be treated as a variable';
  eNoIntegralsAllowed = 'Integrals are not allowed';
  eNoUVprimes= 'In the formula for the tangent length cannot appear u'', etc';
  eDerivativesMissing = 'One of the formulas doesn''t contain derivatives';
  eBadPointEncountered=  'Bad point encountered';

  eBadOrder = 'The formula is not of the required order';

  eBadConstant = 'A constant is empty or miswritten';

  {names in File menu}
  eFile = 'File';
  eManualDots = 'Manual...';
  eOpen = 'Open...';
  eSave= 'Save';
  eSaveAs ='Save As...';
  ePrint = 'Print...';
  eExit = 'Exit';

  {names in Edit menu}
  eEdit = 'Edit';
  eCut = 'Cut';
  eCopy = 'Copy';
  ePaste= 'Paste';


  {names in View menu}
  eView1 = 'View';
  eShowPalette = 'Show Palette';
  eShowTangentSpace = 'Show Tangent Space window';
  eMonocolor = 'Monocolor';
  eBicolor= 'Bicolor';
  eAsymptColor = 'Color by Asymptness';
  eVeroneseCurv= 'Veronese of Curvature';
  eFocalLocus = 'Focal Locus';
  eResetCameras = 'Reset Cameras';

  {names in Background}
  eNormOfH= 'Norm of H';
  eMeanCurvEnergy= 'Mean Curvature Energy';

  {names in FunctionValues1}
  eFunction = 'Function';
  eValue = 'Value';
  eFFRank = '2nd Fund Form rank =';
  eVeroneseRank = 'Veronese rank =';
  eNormH = 'Norm of H =';
  eMeanCurvEnergyEq= 'Mean Curvature Energy =';

  eComputationHalted = 'Computation halted by an internal error';

  {For the Palette form}
  ePalettes = 'Color Palettes';
  eStdObverse = 'Obverse';
  eStdReverse = 'Reverse';
  eFunctions = 'Functions';


  {For the "manual" form}
  eManual = 'Manual';
  eTitleLabel = 'ImmersionR3R6';
  eVersionLabel = 'Version 1.00, March 25, 2014';
  ePurposeLabel = '3-manifolds immersed in R^6';
  eManualColonLabel = 'Manual:';
  eAuthor = 'by Angel Montesinos-Amilibia' + chr(13)+
            'Dept. of Geometry and Topology, University of Valencia (Spain)'
            + chr(13) + 'email address: montesin@uv.es';
  
  {For the FYesNoCancel form}
  eYes= 'Yes';
  eNo= 'No';
  eCancel= 'Cancel';
  eConfirm = 'Confirm';
  eWantToSaveQ = 'Do you want to save changes?';

  {for the Printing Dialog form}
  ePixelsPerLine= 'Pixels per line (no greater than 3000)';
  eTitleToPut= 'Put the following title:';
  eTextBelow= 'Text under the drawing';
  eEqOptions= 'Put the equations' + chr(13) + 'Put the following text';
  eVeronese= 'Veronese of curvature';
  eFocalSet= 'Focal set';

  {for the supplementary window}
  eSupplWindow = 'Tangent Space Window';
  eView = 'View';
  eUnitSphereTg = 'Unit Tangent Sphere';
  eProjectiveTangent = 'Tangent Projective Space';
  eNothing = 'Nothing';


implementation

end.

